Subject: Re: [RFC] ident: support per-path configs by matching the path against a pattern

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Jul 2015 14:07:46 -0700

Jeff King <[email-masked]> writes:

> On Fri, Jul 10, 2015 at 01:23:07PM -0700, Junio C Hamano wrote:
>
>> > -	if (!strcmp(var, "include.path"))
>> > -		ret = handle_path_include(value, inc);
>> > +	if (!parse_config_key(var, "include", &cond, &cond_len, &key) &&
>> > +	    include_condition_is_true(cond, cond_len)) {
>> 
>> I really like these two lines.
>> 
>> Whoever designed that parse_config_key() interface either is a
>> genious or had a foresight with a crystal ball, or perhaps both.
>
> Heh. I peeked at the archive, and I think it was actually designed by
> committee. Perhaps we are greater than the sum of our parts? ;)

It does not look like a camel, though ;-).

Thanks.  Let's see if Sebastian finds the direction satisfactory.